#!/bin/sh

if [ "$#" -ne 1 ]; then
    echo "Aufruf: release-erstellen.sh JA"
    echo "Als Parameter bitte 'JA' eintragen zur Sicherheit"
    exit 1
fi


## alle -SNAPSHOT in pom.xmls entfernen
SED_PARAMS="-i"
if [[ "$OSTYPE" =~ ^darwin ]]; then
    SED_PARAMS="$SED_PARAMS '' -e"
fi
find . -name pom.xml -exec sed $SED_PARAMS 's/-SNAPSHOT//g' {} +

## release version auslesen
NEWVERSION=$(xmlstarlet sel -N w="http://maven.apache.org/POM/4.0.0" -t -v '//w:project/w:version' -n pom.xml)

git checkout dev
git pull
git checkout release
git pull
git merge dev

# Die Version von `"X.X.X-SNAPSHOT"` auf `"X.X.X"` ändern
find . -name pom.xml | xargs perl -i -p -e"s/${NEWVERSION}-SNAPSHOT/$NEWVERSION/g"

echo
echo "NEXT STEPS:"
echo "***********"
echo "Änderungen prüfen"
echo "git commit -a -m 'release version "$NEWVERSION"'"
echo "git push"
echo "git tag "$NEWVERSION
echo "git push --tags"
echo "git checkout dev"
echo "git merge release"

# to do by script
#git commit -am "release version $NEWVERSION"
#git push
#git tag $VERSION
#git push origin $VERSION

#git checkout dev
#git merge release
